# Get card embossing history Retrieve a card's embossing history information. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "AccountID": { "type": "integer", "description": "Pismo account ID", "example": 7654776 }, "AddressID": { "type": "integer", "description": "Pismo address object ID", "example": 7654776 }, "CardID2": { "type": "integer", "description": "Pismo card ID", "example": 123456 }, "CustomerID": { "type": "integer", "description": "Pismo customer ID", "example": 765476676 }, "Embosser": { "type": "string", "description": "Embosser company name", "example": "Idemia" }, "EmbossingFileName": { "type": "string", "description": "Embossing file name", "example": "EMBOSSERFILE.pgp" }, "EmbossingGroup": { "type": "string", "description": "Embossing group name. Clients can work with multi-embossers. You can use this field to notify an embosser about a card request. If this parameter is not passed, and you work with multi-embossers, the default embosser is used. For more information, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n", "minLength": 2, "maxLength": 32, "example": "EM1-embosser" }, "EmbossingHistoryResponse": { "type": "array", "items": { "type": "object", "properties": { "card_id": { "$ref": "#/components/schemas/CardID2" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "address_id": { "$ref": "#/components/schemas/AddressID" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "file_name": { "$ref": "#/components/schemas/EmbossingFileName" }, "embossing_group": { "$ref": "#/components/schemas/EmbossingGroup" }, "embosser": { "$ref": "#/components/schemas/Embosser" }, "embosser_trigger_origin": { "$ref": "#/components/schemas/EmbosserTriggerOrigin" }, "embosser_trigger_type": { "$ref": "#/components/schemas/EmbossingTriggerType" }, "sequential_number": { "$ref": "#/components/schemas/SequentialNumber" }, "generation_date": { "$ref": "#/components/schemas/GenerationDate" }, "embossing_time": { "$ref": "#/components/schemas/EmbossingTime" } }, "example": { "card_id": 6060842, "program_id": 5446, "address_id": 45789, "customer_id": 6345789, "account_id": 8675309, "file_name": "file.pgp", "embossing_group": "myembossinggroup", "embosser": "Idemia", "embossing_trigger_origin": "MANUAL_SQS_TRIGGER", "embossing_trigger_type": "PASSWORD", "sequential_number": 18, "generation_date": "2023-02-09T15:29:04.000Z", "embossing_time": "2023-02-09T15:29:02.000Z" } } }, "EmbossingTime": { "type": "string", "format": "date-time", "description": "Embossing time in UTC time", "example": "2023-02-09T15:29:02.000Z" }, "EmbosserTriggerOrigin": { "type": "string", "description": "Embossing trigger source", "enum": [ "MANUAL_SQS_TRIGGER", "AUTOMATIC_SCHEDULING", "API" ], "example": "MANUAL_SQS_TRIGGER" }, "EmbossingTriggerType": { "type": "string", "description": "Trigger for embossing", "enum": [ "PASSWORD", "ONDEMAND" ], "example": "PASSWORD" }, "GenerationDate": { "type": "string", "description": "Generation date. RFC 3339 value.", "format": "date-time", "example": "2023-02-09T15:29:04.000Z" }, "ProgramID": { "type": "integer", "description": "Pismo program ID", "example": 7654 }, "SequentialNumber": { "type": "integer", "description": "Embossing file sequential number", "example": 345 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/embossing/v1/cards/{cardId}/history": { "get": { "operationId": "get-embossing-history", "summary": "Get card embossing history", "description": "Retrieve a card's embossing history information.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Embossing history response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EmbossingHistoryResponse" } } } }, "204": { "description": "No content - card has no embossing history" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" }, "status": { "type": "integer", "description": "Error status" }, "error": { "type": "string", "description": "Error type" } } }, "examples": { "example-bad-request": { "value": { "message": "The param cardId is invalid", "error": "bad_request", "status": 400, "error_code": "" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string", "description": "Error code" }, "message": { "type": "string", "description": "Error message" }, "status": { "type": "integer", "description": "Error status" }, "error": { "type": "string", "description": "Error type" } } }, "examples": { "example-not-found": { "value": { "message": "card not found", "error": "not_found", "status": 404, "error_code": "" } } } } } }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```